<?xml version="1.0" encoding="utf-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.backendsys.modules.system.dao.SysUserRolePermissionDao">

    <resultMap id="resultMapUserRoleModule" type="java.util.LinkedHashMap">
        <result property="id" column="id" />
        <result property="parent_id" column="parent_id" />
        <result property="permission_name" column="permission_name" />
    </resultMap>

    <select id="selectUserRolePermission" resultMap="resultMapUserRoleModule">
        SELECT id, parent_id, permission_name, sort FROM sys_user_role_permission ORDER BY sort ASC
    </select>

</mapper>